<template>
  <v-data-table
    :headers="headers"
    :items="categories"
    :items-per-page="-1"
    :mobile-breakpoint="0"
    item-key="_id"
    sort-by="ageLowerLimit"
    must-sort
  >
    <template v-slot:item.ageUpperLimit="{ item }">
      <template v-if="item.ageUpperLimit">
        {{ season - item.ageUpperLimit }}
      </template>
      <template v-else>
        …la nuit des temps…
      </template>
    </template>
    <template v-slot:item.ageLowerLimit="{ item }">
      <template v-if="item.ageLowerLimit">
        {{ season - item.ageLowerLimit }}
      </template>
      <template v-else>
        …maintenant.
      </template>
    </template>
  </v-data-table>
</template>

<script>
export default {
  props: {
    categories: {
      type: Array,
      required: true,
    },

    season: {
      type: Number,
    },
  },

  data: () => ({
    headers: [
      {
        text: 'Nom',
        value: 'name',
        sortable: false,
      },
      {
        value: 'ageUpperLimit',
        text: 'Nés entre…',
        sortable: false,
      },
      {
        value: 'ageLowerLimit',
        text: '…et…',
      },
    ],
  }),
}
</script>
